{
  "type": "minecraft:block_column",
  "config": {
    "allowed_placement": {
      "type": "minecraft:matching_blocks",
      "blocks": "minecraft:air"
    },
    "direction": "up",
    "prioritize_tip": false,
    "layers": [
      {
        "height": {
          "type": "uniform",
          "min_inclusive": 3,
          "max_inclusive": 12
        },
        "provider": {
          "type": "minecraft:weighted_state_provider",
          "entries": [
            {
              "data": {
                "Name": "minecraft:cracked_polished_blackstone_bricks"
              },
              "weight": 5
            },
            {
              "data": {
                "Name": "minecraft:gilded_blackstone"
              },
              "weight": 1
            }
          ]
        }
      }
    ]
  }
}